Index: tests/regression/Molecules/RotateAroundOrigin/testsuite-molecules-rotate-around-origin.at
===================================================================
--- tests/regression/Molecules/RotateAroundOrigin/testsuite-molecules-rotate-around-origin.at	(revision 967b3cc1d5bcc09f04bc4e2f99bb7620de669545)
+++ tests/regression/Molecules/RotateAroundOrigin/testsuite-molecules-rotate-around-origin.at	(revision 23b0c2555391ed336a0a7589e88eb386466789ce)
@@ -3,16 +3,29 @@
 AT_SETUP([Molecules - Rotate around origin])
 AT_KEYWORDS([Molecules])
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Molecules/RotateAroundOrigin/pre/test.xyz .], 0)
-AT_CHECK([../../molecuilder -i test.xyz  --select-all-atoms --rotate-around-origin 90. --position "0,0,1"], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' test.xyz ${abs_top_srcdir}/${AUTOTEST_PATH}/Molecules/RotateAroundOrigin/post/test-rotated-z90.xyz], 0, [ignore], [ignore])
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Molecules/RotateAroundOrigin/pre/test.xyz .], 0)
-AT_CHECK([../../molecuilder -i test.xyz  --select-all-atoms --rotate-around-origin 180. --position "0,0,1"], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' test.xyz ${abs_top_srcdir}/${AUTOTEST_PATH}/Molecules/RotateAroundOrigin/post/test-rotated-z180.xyz], 0, [ignore], [ignore])
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Molecules/RotateAroundOrigin/pre/test.xyz .], 0)
-AT_CHECK([../../molecuilder -i test.xyz  --select-all-atoms --rotate-around-origin 360. --position "0,0,1"], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' test.xyz ${abs_top_srcdir}/${AUTOTEST_PATH}/Molecules/RotateAroundOrigin/post/test-rotated-z360.xyz], 0, [ignore], [ignore])
-AT_CHECK([diff -I '.*Created by molecuilder.*' test.xyz ${abs_top_srcdir}/${AUTOTEST_PATH}/Molecules/RotateAroundOrigin/pre/test.xyz], 0, [ignore], [ignore])
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Molecules/RotateAroundOrigin/pre/test.xyz .], 0)
-AT_CHECK([../../molecuilder -i test.xyz  --select-all-atoms --rotate-around-origin 20. --position "1,2,1"], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' test.xyz ${abs_top_srcdir}/${AUTOTEST_PATH}/Molecules/RotateAroundOrigin/post/test-rotated-xYz20.xyz], 0, [ignore], [ignore])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Molecules/RotateAroundOrigin/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file  --select-all-atoms --rotate-around-origin 90. --position "0,0,1"], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Molecules/RotateAroundOrigin/post/test-rotated-z90.xyz], 0, [ignore], [ignore])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Molecules/RotateAroundOrigin/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file  --select-all-atoms --rotate-around-origin 180. --position "0,0,1"], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Molecules/RotateAroundOrigin/post/test-rotated-z180.xyz], 0, [ignore], [ignore])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Molecules/RotateAroundOrigin/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file  --select-all-atoms --rotate-around-origin 360. --position "0,0,1"], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Molecules/RotateAroundOrigin/post/test-rotated-z360.xyz], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Molecules/RotateAroundOrigin/pre/test.xyz], 0, [ignore], [ignore])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Molecules/RotateAroundOrigin/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file  --select-all-atoms --rotate-around-origin 20. --position "1,2,1"], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Molecules/RotateAroundOrigin/post/test-rotated-xYz20.xyz], 0, [ignore], [ignore])
+
 AT_CLEANUP
